gnutls_aead_cipher_decryptv2(3)

NAME
gnutls_aead_cipher_decryptv2 - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_aead_cipher_decryptv2(gnutls_aead_cipher_hd_t handle, const void * nonce, size_t nonce_len, const giovec_t * auth_iov, int auth_iovcnt, const giovec_t * iov, int iovcnt, void * tag, size_t tag_size);

ARGUMENTS

gnutls_aead_cipher_hd_t handle
    is a gnutls_aead_cipher_hd_t type.

const void * nonce
    the nonce to set

size_t nonce_len
    The length of the nonce

const giovec_t * auth_iov
    additional data to be authenticated

int auth_iovcnt
    The number of buffers in auth_iov

const giovec_t * iov
    the data to decrypt

int iovcnt
    The number of buffers in iov

void * tag
    The authentication tag

size_t tag_size
    The size of the tag to use (use zero for the default)

DESCRIPTION
This is similar to gnutls_aead_cipher_decrypt(), but it performs in-place encryption on the provided data buffers.

RETURNS
Zero or a negative error code on error.

SINCE
3.6.10

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/